# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 3.0.0 required")
endif()
if(CMAKE_VERSION VERSION_LESS "3.0.0")
   message(FATAL_ERROR "CMake >= 3.0.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 3.0.0...4.0)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS ParaView::vtkIOVisItBridgePython ParaView::vtkRemotingClientServerStreamPython ParaView::vtkPVVersioningPython ParaView::vtkPVVTKExtensionsCorePython ParaView::vtkRemotingCorePython ParaView::vtkRemotingServerManagerPython ParaView::vtkRemotingViewsPython ParaView::vtkRemotingViewsPythonPython ParaView::vtkRemotingServerManagerPythonPython ParaView::vtkPVVTKExtensionsPointsPython ParaView::vtkPVVTKExtensionsIOCorePython ParaView::vtkPVVTKExtensionsIOSPCTHPython ParaView::vtkPVVTKExtensionsIOCGNSWriterPython ParaView::vtkPVVTKExtensionsIOParallelCGNSWriterPython ParaView::vtkPVVTKExtensionsIOImagePython ParaView::vtkPVVTKExtensionsIOExodusPython ParaView::vtkPVVTKExtensionsIOEnSightPython ParaView::vtkPVVTKExtensionsIOAMRPython ParaView::vtkPVVTKExtensionsFiltersStatisticsPython ParaView::vtkPVVTKExtensionsFiltersPythonPython ParaView::vtkPVVTKExtensionsFiltersGeneralPython ParaView::vtkPVVTKExtensionsFiltersParallelDIY2Python ParaView::vtkPVVTKExtensionsFiltersParallelPython ParaView::vtkPVVTKExtensionsFiltersMaterialInterfacePython ParaView::vtkPVVTKExtensionsFiltersGeneralMPIPython ParaView::vtkPVVTKExtensionsFiltersFlowPathsPython ParaView::vtkPVVTKExtensionsExtractionPythonPython ParaView::vtkRemotingApplicationComponentsPython ParaView::vtkRemotingImportPython ParaView::vtkPVVTKExtensionsIOImportPython ParaView::vtkPVVTKExtensionsExtractionPython ParaView::vtkRemotingLivePython ParaView::vtkRemotingExportPython ParaView::vtkRemotingMiscPython ParaView::vtkPVVTKExtensionsIOGeneralPython ParaView::vtkPVVTKExtensionsAMRPython ParaView::vtkRemotingApplicationPython ParaView::vtkRemotingAnimationPython ParaView::vtkPVVTKExtensionsInteractionStylePython ParaView::vtkPVVTKExtensionsFiltersRenderingPython ParaView::vtkPVVTKExtensionsMiscPython ParaView::vtkRemotingSettingsPython ParaView::vtkPVCatalystPython ParaView::vtkPVPythonCatalystPython ParaView::vtkPVClientWebPython ParaView::vtkPVInSituPython ParaView::pvpythonmodules)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
# Use original install prefix when loaded through a
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${_IMPORT_PREFIX}" REALPATH)
get_filename_component(_realOrig "/usr/lib/cmake/paraview" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(_IMPORT_PREFIX "/usr/lib/cmake/paraview")
endif()
unset(_realOrig)
unset(_realCurr)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target ParaView::vtkIOVisItBridgePython
add_library(ParaView::vtkIOVisItBridgePython MODULE IMPORTED)

# Create imported target ParaView::vtkRemotingClientServerStreamPython
add_library(ParaView::vtkRemotingClientServerStreamPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVersioningPython
add_library(ParaView::vtkPVVersioningPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsCorePython
add_library(ParaView::vtkPVVTKExtensionsCorePython MODULE IMPORTED)

# Create imported target ParaView::vtkRemotingCorePython
add_library(ParaView::vtkRemotingCorePython MODULE IMPORTED)

# Create imported target ParaView::vtkRemotingServerManagerPython
add_library(ParaView::vtkRemotingServerManagerPython MODULE IMPORTED)

# Create imported target ParaView::vtkRemotingViewsPython
add_library(ParaView::vtkRemotingViewsPython MODULE IMPORTED)

# Create imported target ParaView::vtkRemotingViewsPythonPython
add_library(ParaView::vtkRemotingViewsPythonPython MODULE IMPORTED)

# Create imported target ParaView::vtkRemotingServerManagerPythonPython
add_library(ParaView::vtkRemotingServerManagerPythonPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsPointsPython
add_library(ParaView::vtkPVVTKExtensionsPointsPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsIOCorePython
add_library(ParaView::vtkPVVTKExtensionsIOCorePython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsIOSPCTHPython
add_library(ParaView::vtkPVVTKExtensionsIOSPCTHPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsIOCGNSWriterPython
add_library(ParaView::vtkPVVTKExtensionsIOCGNSWriterPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsIOParallelCGNSWriterPython
add_library(ParaView::vtkPVVTKExtensionsIOParallelCGNSWriterPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsIOImagePython
add_library(ParaView::vtkPVVTKExtensionsIOImagePython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsIOExodusPython
add_library(ParaView::vtkPVVTKExtensionsIOExodusPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsIOEnSightPython
add_library(ParaView::vtkPVVTKExtensionsIOEnSightPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsIOAMRPython
add_library(ParaView::vtkPVVTKExtensionsIOAMRPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsFiltersStatisticsPython
add_library(ParaView::vtkPVVTKExtensionsFiltersStatisticsPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsFiltersPythonPython
add_library(ParaView::vtkPVVTKExtensionsFiltersPythonPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsFiltersGeneralPython
add_library(ParaView::vtkPVVTKExtensionsFiltersGeneralPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsFiltersParallelDIY2Python
add_library(ParaView::vtkPVVTKExtensionsFiltersParallelDIY2Python MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsFiltersParallelPython
add_library(ParaView::vtkPVVTKExtensionsFiltersParallelPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsFiltersMaterialInterfacePython
add_library(ParaView::vtkPVVTKExtensionsFiltersMaterialInterfacePython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsFiltersGeneralMPIPython
add_library(ParaView::vtkPVVTKExtensionsFiltersGeneralMPIPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsFiltersFlowPathsPython
add_library(ParaView::vtkPVVTKExtensionsFiltersFlowPathsPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsExtractionPythonPython
add_library(ParaView::vtkPVVTKExtensionsExtractionPythonPython MODULE IMPORTED)

# Create imported target ParaView::vtkRemotingApplicationComponentsPython
add_library(ParaView::vtkRemotingApplicationComponentsPython MODULE IMPORTED)

# Create imported target ParaView::vtkRemotingImportPython
add_library(ParaView::vtkRemotingImportPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsIOImportPython
add_library(ParaView::vtkPVVTKExtensionsIOImportPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsExtractionPython
add_library(ParaView::vtkPVVTKExtensionsExtractionPython MODULE IMPORTED)

# Create imported target ParaView::vtkRemotingLivePython
add_library(ParaView::vtkRemotingLivePython MODULE IMPORTED)

# Create imported target ParaView::vtkRemotingExportPython
add_library(ParaView::vtkRemotingExportPython MODULE IMPORTED)

# Create imported target ParaView::vtkRemotingMiscPython
add_library(ParaView::vtkRemotingMiscPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsIOGeneralPython
add_library(ParaView::vtkPVVTKExtensionsIOGeneralPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsAMRPython
add_library(ParaView::vtkPVVTKExtensionsAMRPython MODULE IMPORTED)

# Create imported target ParaView::vtkRemotingApplicationPython
add_library(ParaView::vtkRemotingApplicationPython MODULE IMPORTED)

# Create imported target ParaView::vtkRemotingAnimationPython
add_library(ParaView::vtkRemotingAnimationPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsInteractionStylePython
add_library(ParaView::vtkPVVTKExtensionsInteractionStylePython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsFiltersRenderingPython
add_library(ParaView::vtkPVVTKExtensionsFiltersRenderingPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVVTKExtensionsMiscPython
add_library(ParaView::vtkPVVTKExtensionsMiscPython MODULE IMPORTED)

# Create imported target ParaView::vtkRemotingSettingsPython
add_library(ParaView::vtkRemotingSettingsPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVCatalystPython
add_library(ParaView::vtkPVCatalystPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVPythonCatalystPython
add_library(ParaView::vtkPVPythonCatalystPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVClientWebPython
add_library(ParaView::vtkPVClientWebPython MODULE IMPORTED)

# Create imported target ParaView::vtkPVInSituPython
add_library(ParaView::vtkPVInSituPython MODULE IMPORTED)

# Create imported target ParaView::pvpythonmodules
add_library(ParaView::pvpythonmodules INTERFACE IMPORTED)

set_target_properties(ParaView::pvpythonmodules PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/paraview/pvpythonmodules"
  INTERFACE_LINK_LIBRARIES "VTK::vtkpythonmodules"
)

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/ParaViewPython-targets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  if(CMAKE_VERSION VERSION_LESS "3.28"
      OR NOT DEFINED _cmake_import_check_xcframework_for_${_cmake_target}
      OR NOT IS_DIRECTORY "${_cmake_import_check_xcframework_for_${_cmake_target}}")
    foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
      if(NOT EXISTS "${_cmake_file}")
        message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
      endif()
    endforeach()
  endif()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
